"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @jest-environment jsdom
 */
require("@testing-library/jest-dom");
const react_1 = require("@testing-library/react");
const react_2 = __importDefault(require("react"));
const DefaultAuth_1 = require("./DefaultAuth");
const DemoAfterSignInComponent_1 = require("./Examples/DemoAfterSignInComponent");
test('DefaultAuth Component renders correctly', () => {
    (0, react_1.render)(react_2.default.createElement(DefaultAuth_1.DefaultAuth, { autoLogin: false, AfterSignInComponent: react_2.default.createElement(DemoAfterSignInComponent_1.DemoAfterSignInComponent, null) }));
    const linkElement = react_1.screen.getByTestId(/submit/i);
    expect(linkElement).toBeVisible();
    react_1.fireEvent.click(linkElement);
    expect(react_1.screen.getByText(/Please/i)).toBeVisible();
});
//# sourceMappingURL=DefaultAuth.test.js.map